Page MenuHomePhabricator

Cross-wiki notifications - announcements planning
Closed, ResolvedPublic

Description

Primary task: T114350: Notifications Panel: Support cross-wiki notifications

4 main stages of feedback requests.

  1. "the beta feature is planned"
    • Status: Hypothetical.
    • Available content: Phab tasks and small prototypes.
    • Feedback requested: The technical restrictions/options have been analyzed. We need other technically minded people to glance at phab:1/2/3, and give us feedback about [...].
    • Method: Tech/News, and mw:Echo/mw:Talk:Echo
    • ETA: Done
  2. "the beta feature (Enhanced notifications) is available on beta cluster"
    • Status: basically testable, known flaws
    • Available content: Basic and clear documentation ready on mediawiki.org
    • Feedback requested: Test it out, find more bugs, Help translate the interface changes -
    • Method: Tech/News
    • ETA: Mostly Done (More documentation work, ongoing)
  3. "the beta feature is here (first set of wikis)" T126485
    • Status: beta feature has just been launched on some wikis (Wikidata, mw.org, Commons, all Hebrew wikis and all French wikis.)
    • Available content: documentation/betafeature page on mediawiki.org
    • Feedback requested: opt-in, give us feedback on the existing setup, the short-term/high-priority changes, and the long-term plans, Help translate the docs
    • Method: Tech/News, wikitech-l, wikimedia-l, direct messages to the affected wikis
    • ETA: The week of February 15 (deployment train)
  4. "the beta feature is here (all)" T128865: Prepare and review announcements concerning Cross-wiki Notifications as a Beta feature on all wikis
    • Status: beta feature has just been launched on all wikis
    • Available content: documentation/betafeature page on mediawiki.org
    • Feedback requested: opt-in, give us feedback on the existing setup, the short-term/high-priority changes, and the long-term plans, Help translate the docs
    • Method: Tech/News, wikitech-l, wikimedia-l
    • ETA: March 11th, 00:00 UTC (Once feedback from the first set has been covered)
  5. "the beta feature has graduated" T129643: Prepare and review announcements concerning Cross-wiki Notifications as a by-default feature on all wikis
    • Status: default settings added for everyone at all wikis
    • Feedback requested: give us feedback on the existing setup, the short-term/high-priority changes, and the long-term plans
    • Method: Tech/News, wikitech-l, wikimedia-l, blog-post?
    • ETA: May 12th, 23:00 UTC

Related Objects

Event Timeline

Quiddity created this task.Jan 13 2016, 9:36 PM
Quiddity claimed this task.
Quiddity raised the priority of this task from to Normal.
Quiddity updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 13 2016, 9:36 PM
Quiddity mentioned this in Unknown Object (Task).Jan 13 2016, 9:37 PM
Trizek-WMF updated the task description. (Show Details)Jan 15 2016, 8:04 PM
Trizek-WMF set Security to None.
Billinghurst added a subscriber: Billinghurst.EditedJan 18 2016, 10:30 PM

@Trizek-WMF @Quiddity There is an announcement in today's (18 Jan) Tech News: 2016-03 about there being changes, and pointing to mw:Help:Notifications. The difficulty is that it isn't easy to tell the changes from the overall diff and the history summary is of no value. Might it be worthwhile summarising the changes on the respective talk page so the general users can have specific knowledge rather than guessing.

Also when major updates are taking place to help pages like this with programmatic development, it would be valuable for the edit summaries to be well-used stating the specific changes and relevant phabricator tickets. I would hope that WMF personnel would be able to set a good example of the use of edit summary, rather than a poor example.

@Trizek-WMF @Quiddity There is an announcement in today's (18 Jan) Tech News: 2016-03 about there being changes, and pointing to mw:Help:Notifications. The difficulty is that it isn't easy to tell the changes from the overall diff and the history summary is of no value. Might it be worthwhile summarising the changes on the respective talk page so the general users can have specific knowledge rather than guessing.
Also when major updates are taking place to help pages like this with programmatic development, it would be valuable for the edit summaries to be well-used stating the specific changes and relevant phabricator tickets. I would hope that WMF personnel would be able to set a good example of the use of edit summary, rather than a poor example.

Good point @Billinghurst. I will update the product information page, and be more careful for the next update. Thanks! :)

@Billinghurst, The mw:Help:Notifications doc page has been completely overhauled, and converted from a simple overview into a more detailed list of features, hence a diff wouldn't be helpful.
I have now linked the locations that give finer details, in the second line at https://www.mediawiki.org/wiki/Notifications#January_2016 and copied that to the doc talkpage. Thanks for the reminder and idea. :)

Trizek-WMF updated the task description. (Show Details)Feb 10 2016, 6:11 PM
Trizek-WMF moved this task from Backlog to Doing on the Liaisons-February-2016 board.
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptFeb 10 2016, 6:35 PM
Trizek-WMF updated the task description. (Show Details)Mar 15 2016, 3:39 PM
Quiddity reassigned this task from Quiddity to Trizek-WMF.Apr 8 2016, 6:06 PM

Re-assigning, as Benoît is the lead on this, but we've both been working on it.

Catrope updated the task description. (Show Details)May 3 2016, 2:42 AM

Edited description to add deployment date: May 12th at 23:00 UTC.

Trizek-WMF raised the priority of this task from Normal to High.May 3 2016, 10:09 AM

We now have to tackle the blog post!

Trizek-WMF closed this task as Resolved.May 13 2016, 9:25 AM

Release done, blog post posted.

Qgil awarded a token.May 13 2016, 10:09 AM